#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBE,0xC7,0xB0,0x39,0xFE,0x9F,0xA4,0x23,0xE9,0x05,0x06,0x2D,
		0x5D,0x0D,0xA2,0x5B,0x4E,0x05,0x11,0xB7,0xDB,0x5B,0xF5,0xC3,
		0x7C,0xBB,0x31,0x2E,0x2A,0x06,0xD9,0xEF,0x19,0x9A,0x25,0x01,
		0x18,0x24,0x3E,0x78,0x01,0xCC,0x8A,0x45,0x7C,0x56,0x0A,0xF7,
		0xAF,0xE8,0x91,0xB3,0x01,0x65,0xAA,0xBF,0xC6,0x7F,0xDD,0x19,
		0x30,0x86,0x5C,0xAB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
